osl::rating::EscapePinGroup Struct Reference

`#include <pinGroup.h>`

Inheritance diagram for osl::rating::EscapePinGroup:

## Public Member Functions

| EscapePinGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 46 of file pinGroup.h.

## Constructor & Destructor Documentation

## EscapePinGroup()

osl::rating::EscapePinGroup::EscapePinGroup | ( |  | ) |

inline

Definition at line 48 of file pinGroup.h.

References osl::rating::Group::Group(), osl::PTYPE_BASIC_MIN, and osl::PTYPE_MAX.

## Member Function Documentation

## findMatch()

int osl::rating::EscapePinGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

inline virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 61 of file pinGroup.h.

References osl::PieceMask::any(), osl::PieceMask::getMask(), osl::KING, osl::rating::RatingEnv::my_pin, osl::rating::RatingEnv::progress, osl::Move::ptype(), osl::PTYPE_BASIC_MIN, osl::PTYPE_MAX, osl::Ptype_Table, and osl::progress::ProgressN< N >::value().

## show()

void osl::rating::EscapePinGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 56 of file pinGroup.h.

References osl::rating::Group::showTopN().

The documentation for this struct was generated from the following file:

- pinGroup.h